Query parameters

  • page integer

    Page Number

    Minimum value is 1. Default value is 1.

  • pageSize integer

    Page Size

    Maximum value is 1000. Default value is 10.

  • externalids string

    Filter on a list of comma separated pricat external ids

  • supplierGln string

    Filter on a list of comma separated supplier GLNs

  • supplier string

    Filter on a list of comma separated supplier names

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • externalId string
    • name string
    • supplierGln string
    • supplierName string
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/pricats
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/pricats'
Response examples (200)
[
  {
    "externalId": "SPRING_2026",
    "name": "Spring 2026",
    "supplierGln": "1234567890123",
    "supplierName": "Acme Supplier"
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}